//
//  UIFont+FontWrapping.m
//  MVMCoreUI
//
//  Created by Ryan on 2/26/20.
//  Copyright © 2020 Verizon Wireless. All rights reserved.
//

#import "UIFont+FontWrapping.h"
#import "MFFonts.h"
#import "MFStyler.h"
#import <UIKit/UIKit.h>

@implementation UIFont (FontWrapping)

- (UIFont *)updateFontSize:(CGFloat)size {
    if ([self.familyName isEqualToString:@"Verizon NHG eDS"]) {
        return [MFStyler getMVA3FontSize:size bold:[self.fontName isEqualToString:DSBold]];
    } else if ([self.familyName isEqualToString:@"Verizon NHG eTX"]) {
        return [MFStyler getMVA3FontSize:size bold:[self.fontName isEqualToString:TXBold]];
    } else {
        return [self fontWithSize:size];
    }
}

@end
